Subject: [bug#31386] [PATCH 2/3] gnu: Add gemmlowp-for-tensorflow.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 10 May 2018 10:40:35 +0200

Ludovic Courtès <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> skribis:
>
>> * gnu/packages/machine-learning.scm (gemmlowp-for-tensorflow): New variable.
>
> [...]
>
>> +;; TODO: We may need to pass "-msse4.1" as an additional optimization flag
>> +;; when building for x86_64.  This is strongly recommended by the authors in
>> +;; the README.md.
>
> It’d be nice to produce a patch to have “function multi-versioning” for
> the hot parts, as described at
> <https://clearlinux.org/documentation/clear-linux/tutorials/fmv>.

Yeah, that would be nice.  However, I don’t know how to test the
resulting binary.

>> +(define-public gemmlowp-for-tensorflow
>> +  (let ((commit "7c7c744640ddc3d0af18fb245b4d23228813a71b"))
>
> Could you comment on how you chose this commit?  Is it because it starts
> with “7c7c”?  ;-)

That’s the commit that the TensorFlow build system refers to.

--
Ricardo